{{ form_start(form, {'attr': {'autocomplete': 'off'}}) }}
<div>
    {{ form_errors(form) }}
</div>
{{ form_row(form._token) }}

{{ form_row(form.name) }}
{{ form_row(form.identifier) }}
<hr>
{{ form_row(form.tenants) }}
<hr>
{{ form_row(form.url) }}
{{ form_row(form.username_field) }}
{{ form_row(form.client_id) }}
{{ form_row(form.client_secret) }}

<fieldset
    id="openid-scopes-fieldset"
    class="form-group"
    data-prototype="{{ form_widget(form.scopes.vars.prototype)|e('html_attr') }}"
    data-index="{{ form.scopes|length }}"
>
    <legend>Scopes</legend>
    {{ form_errors(form.scopes) }}
    {% for scope in form.scopes %}
        <div class="scope-wrap">
            <button type="button" class="close" title="Retirer">
                <span>×</span>
                <span class="sr-only">Retirer</span>
            </button>
            {{ form_errors(scope) }}
            {{ form_row(scope.name) }}
        </div>
    {% endfor %}
    <button id="openid-add-scope-btn" type="button" class="btn btn-success">
        <i class="fa fa-plus-circle fa-space" aria-hidden="true"></i>
        Créer un scope
    </button>
</fieldset>
{{ form_errors(form) }}
<button type="submit" class="btn btn-primary hide">Hidden submit</button>
{{ form_end(form, {render_rest: false}) }}

<script>
    var fieldset = $('#openid-scopes-fieldset');
    fieldset.on('click', '.close', function(e) {
        e.preventDefault();
        $(this).closest('.scope-wrap')
            .fadeOut()
            .remove();
        if (fieldset.data('index') <= 1) {
            fieldset.find('.scope-wrap button.close').hide();
        }
    });
    fieldset.on('click', '#openid-add-scope-btn', function(e) {
        e.preventDefault();
        var prototype = fieldset.data('prototype');
        var index = fieldset.data('index');
        var field = prototype.replace(/__name__/g, index);
        fieldset.data('index', index + 1);
        var div = $('<div class="scope-wrap">')
            .append(
                $('<button type="button" class="close" title="Retirer">')
                    .append('<span>×</span>')
                    .append('<span class="sr-only">Retirer</span>')
            )
            .append(field)
        $(this).before(div);

        if (fieldset.data('index') > 1) {
            fieldset.find('.scope-wrap button.close').show();
        }
    });
    if (fieldset.data('index') === 0) {
        fieldset.find('#openid-add-scope-btn').click();
        fieldset.find('input[type="text"]').val('openid');
        fieldset.find('.scope-wrap button.close').hide();
    }
</script>
